ByCloud Docs
GuidesCLIAPISDK
get/v1/flavors/{flavor_id}

Get flavor

Get details of a specific flavor

Path Parameters

flavor_id

string<uuid>required

path

Flavor ID

Example: "550e8400-e29b-41d4-a716-446655440000"

Responses

200

Flavor details

Content-Type: application/json

flavor

objectoptional
401

Authentication required or token invalid

Content-Type: application/json

error

objectrequired
404

Resource not found

Content-Type: application/json

error

objectrequired
500

Internal server error

Content-Type: application/json

error

objectrequired
curl -X GET "https://api.spo1.mycloud.com/v1/flavors/550e8400-e29b-41d4-a716-446655440000" \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
-H "Content-Type: application/json"

Response

Flavor details

{
"flavor": {
"id": "550e8400-e29b-41d4-a716-446655440000",
"crn": "crn:spo1:compute:flavor:550e8400-e29b-41d4-a716-446655440000",
"name": "m1.medium",
"description": "Medium instance with 2 vCPUs and 4GB RAM",
"vcpus": 2,
"ram": 4096,
"disk": 40,
"network_bandwidth": {
"internal_mbps": 1000,
"external_mbps": 100
}
}
}